Storefront
List the enrollment packs the rep may share
Returns live enrollment packs available in the rep’s country whose products the rep’s member type may buy, newest first, each with the rep’s credited share link and its title in the rep’s language. This is the one audience rule GET /api/member/v2027-01/storefront/search and POST /api/member/v2026-10/shares apply. Responses are private and must be revalidated.
GET
/
api
/
member
/
v2027-01
/
storefront
/
enrollment-packs
List the enrollment packs the rep may share
curl --request GET \
--url https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": 200,
"data": [
{
"id": "0199a3f2-5c1e-7d4b-9a10-3b2c1d4e5f61",
"kind": "enrollment-packs",
"title": "Starter pack",
"description": null,
"image_url": null,
"url": "https://primex.fluid.app/home/enrollments/starter-pack",
"share_url": "https://primex.fluid.app/riley-kim/enrollments/starter-pack",
"created_at": "2026-09-29T15:02:11.482913Z",
"updated_at": "2026-09-29T15:04:52.118204Z"
}
],
"meta": {
"request_uuid": "0199a3f2-7a10-7c3e-8f21-4d5e6f708193",
"timestamp": "2026-09-30T18:24:05Z",
"pagination": {
"next_cursor": null
}
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Query Parameters
Response
A page of the enrollment packs the rep may share.
⌘I
List the enrollment packs the rep may share
curl --request GET \
--url https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/member/v2027-01/storefront/enrollment-packs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": 200,
"data": [
{
"id": "0199a3f2-5c1e-7d4b-9a10-3b2c1d4e5f61",
"kind": "enrollment-packs",
"title": "Starter pack",
"description": null,
"image_url": null,
"url": "https://primex.fluid.app/home/enrollments/starter-pack",
"share_url": "https://primex.fluid.app/riley-kim/enrollments/starter-pack",
"created_at": "2026-09-29T15:02:11.482913Z",
"updated_at": "2026-09-29T15:04:52.118204Z"
}
],
"meta": {
"request_uuid": "0199a3f2-7a10-7c3e-8f21-4d5e6f708193",
"timestamp": "2026-09-30T18:24:05Z",
"pagination": {
"next_cursor": null
}
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}